Public Member Functions | Public Attributes | List of all members
SWFieldManagerInternal::FieldHiddenText Struct Referencefinal

Internal: a hidden text/para field. More...

Inheritance diagram for SWFieldManagerInternal::FieldHiddenText:

## Public Member Functions
| FieldHiddenText ()
| constructor
| FieldHiddenText (Field const &orig)
| copy constructor
| ~FieldHiddenText () final
| destructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data
void | print (std::ostream &o) const final
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor

## Public Attributes
bool | m_hidden
| the hidden flag
librevenge::RVNGString | m_condition
| the condition
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor

## Detailed Description

Internal: a hidden text/para field.

## Constructor & Destructor Documentation

## ◆ FieldHiddenText() [1/2]

SWFieldManagerInternal::FieldHiddenText::FieldHiddenText | ( |  | ) |
| inline

constructor

## ◆ FieldHiddenText() [2/2]

SWFieldManagerInternal::FieldHiddenText::FieldHiddenText | ( | Field const & | orig | ) |
| inline explicit

copy constructor

## ◆ ~FieldHiddenText()

SWFieldManagerInternal::FieldHiddenText::~FieldHiddenText | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldHiddenText::print | ( | std::ostream & | o | ) | const
| inline final virtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

## ◆ send()

bool SWFieldManagerInternal::FieldHiddenText::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const
| final virtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_condition

librevenge::RVNGString SWFieldManagerInternal::FieldHiddenText::m_condition

the condition

Referenced by print(), and send().

## ◆ m_hidden

bool SWFieldManagerInternal::FieldHiddenText::m_hidden

the hidden flag

Referenced by print(), and send().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx